<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextMessage Method (IEdmInbox5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmInbox5 Interface : GetNextMessage Method (IEdmInbox5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next message (see Remarks)

Gets the next message in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextMessage( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmMessage5

C# |
--- | ---

    IEdmMessage5 GetNextMessage(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmMessage5^ GetNextMessage(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next message (see Remarks)

#### Return Value

IEdmMessage5

# Example

Get Messages (C#)
Get Messages (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first message, IEdmPos5. Call IEdmInbox5::GetFirstMessagePosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the messages.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmMessage5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmInbox5 Interface
IEdmInbox5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.3